Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1414329 - preupg suggests me to backup my system but it does not actually do any upgrade
Summary: preupg suggests me to backup my system but it does not actually do any upgrade
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: preupgrade-assistant
Version: 6.9
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Michal Bocek
QA Contact: Alois Mahdal
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-18 10:06 UTC by Branislav Blaškovič
Modified: 2017-03-21 12:10 UTC (History)
3 users (show)

Fixed In Version: preupgrade-assistant-2.3.2-1.el6
Doc Type: No Doc Update
Doc Text:
undefined
Clone Of:
Environment:
Last Closed: 2017-03-21 12:10:23 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2017:0819 0 normal SHIPPED_LIVE preupgrade-assistant bug fix and enhancement update 2017-03-21 12:53:47 UTC

Comment 2 Alois Mahdal 2017-01-19 21:05:30 UTC
Nice catch, +1 from me on this.

Indeed, preupg should not alter your system in any way; its job is solely to scan your system and create an "upgrade package": report plus some files.  You can run the scan as many times as you wish.

Comment 5 Alois Mahdal 2017-03-09 20:45:13 UTC
preupgrade-assistant-2.3.3-1.el6:

    # preupg 
    The Preupgrade Assistant is a diagnostics tool 
    and does not perform the actual upgrade.
    Do you want to continue? [Y/n]
    y
    Gathering logs used by the Preupgrade Assistant:
    All installed packages                                 : 01/10 ...finished (time 00:00s)
    All changed files                                      : 02/10 ...running
    [...]

The message still appears at the bottom of the report, but at least does not look like it has anything to do with the y/n confirmation.

Comment 7 errata-xmlrpc 2017-03-21 12:10:23 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2017-0819.html


Note You need to log in before you can comment on or make changes to this bug.